[pacman-dev] [PATCH] makepkg: Fix typo in variable name

Allan McRae allan at archlinux.org
Sun Feb 2 02:32:59 EST 2014


It turns out that you should refer to variables by their actual name...
Introduced in commit a521cea9.

FS#38414.

Signed-off-by: Allan McRae <allan at archlinux.org>
---

*cough* Dave *cough*

 scripts/makepkg.sh.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index e3d9a93..ce6c9da 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1093,8 +1093,8 @@ remove_deps() {
 
 	# check for packages removed during dependency install (e.g. due to conflicts)
 	# removing all installed packages is risky in this case
-	if [[ -n $(grep -xvFf <(printf '%s\n' "${current_packagelist[@]}") \
-			<(printf '%s\n' "${original_packagelist[@]}") || true) ]]; then
+	if [[ -n $(grep -xvFf <(printf '%s\n' "${current_pkglist[@]}") \
+			<(printf '%s\n' "${original_pkglist[@]}") || true) ]]; then
 		warning "$(gettext "Failed to remove installed dependencies.")"
 		return 0
 	fi
-- 
1.8.5.3



More information about the pacman-dev mailing list